org.eclipse.jetty.client

## Class HttpEventListenerWrapper

- java.lang.Object
- - org.eclipse.jetty.client.HttpEventListenerWrapper

All Implemented Interfaces:
  HttpEventListener

Direct Known Subclasses:
  RedirectListener, SecurityListener, WebdavListener

    public class HttpEventListenerWrapper
    extends Object
    implements HttpEventListener

### Constructor Summary

Constructors
Constructor and Description
`HttpEventListenerWrapper()`
`HttpEventListenerWrapper(HttpEventListener eventListener, boolean delegating)`

### Method Summary

Methods
`HttpEventListener` `getEventListener()`
`boolean` `isDelegatingRequests()`
`boolean` `isDelegatingResponses()`
`void` `onConnectionFailed(Throwable ex)`
`void` `onException(Throwable ex)`
`void` `onExpire()`
`void` `onRequestCommitted()`
`void` `onRequestComplete()`
`void` `onResponseComplete()`
`void` `onResponseContent(Buffer content)`
`void` `onResponseHeader(Buffer name, Buffer value)`
`void` `onResponseHeaderComplete()`
`void` `onResponseStatus(Buffer version, int status, Buffer reason)`
`void` `onRetry()`
`void` `setDelegatingRequests(boolean delegating)`
`void` `setDelegatingResponses(boolean delegating)`
`void` `setDelegationResult(boolean result)`
`void` `setEventListener(HttpEventListener listener)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpEventListenerWrapper

    public HttpEventListenerWrapper()

#### HttpEventListenerWrapper

    public HttpEventListenerWrapper(HttpEventListener eventListener,
                            boolean delegating)

### Method Detail

#### getEventListener

    public HttpEventListener getEventListener()

#### setEventListener

    public void setEventListener(HttpEventListener listener)

#### isDelegatingRequests

    public boolean isDelegatingRequests()

#### isDelegatingResponses

    public boolean isDelegatingResponses()

#### setDelegatingRequests

    public void setDelegatingRequests(boolean delegating)

#### setDelegatingResponses

    public void setDelegatingResponses(boolean delegating)

#### setDelegationResult

    public void setDelegationResult(boolean result)

#### onConnectionFailed

    public void onConnectionFailed(Throwable ex)

Specified by:
  `onConnectionFailed` in interface `HttpEventListener`

#### onException

    public void onException(Throwable ex)

Specified by:
  `onException` in interface `HttpEventListener`

#### onExpire

    public void onExpire()

Specified by:
  `onExpire` in interface `HttpEventListener`

#### onRequestCommitted

    public void onRequestCommitted()
                            throws IOException

Specified by:
  `onRequestCommitted` in interface `HttpEventListener`
Throws:
  `IOException`

#### onRequestComplete

    public void onRequestComplete()
                           throws IOException

Specified by:
  `onRequestComplete` in interface `HttpEventListener`
Throws:
  `IOException`

#### onResponseComplete

    public void onResponseComplete()
                            throws IOException

Specified by:
  `onResponseComplete` in interface `HttpEventListener`
Throws:
  `IOException`

#### onResponseContent

    public void onResponseContent(Buffer content)
                           throws IOException

Specified by:
  `onResponseContent` in interface `HttpEventListener`
Throws:
  `IOException`

#### onResponseHeader

    public void onResponseHeader(Buffer name,
                        Buffer value)
                          throws IOException

Specified by:
  `onResponseHeader` in interface `HttpEventListener`
Throws:
  `IOException`

#### onResponseHeaderComplete

    public void onResponseHeaderComplete()
                                  throws IOException

Specified by:
  `onResponseHeaderComplete` in interface `HttpEventListener`
Throws:
  `IOException`

#### onResponseStatus

    public void onResponseStatus(Buffer version,
                        int status,
                        Buffer reason)
                          throws IOException

Specified by:
  `onResponseStatus` in interface `HttpEventListener`
Throws:
  `IOException`

#### onRetry

    public void onRetry()

Specified by:
  `onRetry` in interface `HttpEventListener`